Page MenuHomePhabricator

Remove PHPUtils::jsSort routine (or make it no-op) once Parsoid/JS is retired
Closed, ResolvedPublic

Description

The PHPUtils::jsSort routine was added in e8c1f1c9c6a40acdba9a132bbb643eccde636fcc to make parserTests output compatible between Parsoid/JS and Parsoid/PHP for data-mw attributes. Once Parsoid/JS is retired, we should remove this routine and rewrite the parserTests to use the Parsoid/PHP order (which is actually closer to wikitext source order).

Event Timeline

cscott created this task.Oct 11 2019, 3:11 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 11 2019, 3:11 PM
cscott edited projects, added Parsoid-PHP; removed Parsoid.Oct 11 2019, 3:12 PM
cscott moved this task from Backlog to Porting Tech Debt Redressal on the Parsoid-PHP board.
ssastry triaged this task as Medium priority.Oct 24 2019, 8:29 PM
Sbailey claimed this task.Jan 21 2020, 7:56 PM

Change 566379 had a related patch set uploaded (by Sbailey; owner: Sbailey):
[mediawiki/services/parsoid@master] WIP remove jsSort from PHPUtils and and use ksort and correct tests

https://gerrit.wikimedia.org/r/566379

Change 566379 merged by jenkins-bot:
[mediawiki/services/parsoid@master] Remove PHPUtils::jsSort call from TemplateHandler and correct tests

https://gerrit.wikimedia.org/r/566379

Arlolra closed this task as Resolved.Jan 23 2020, 9:35 PM